---
lang: en
title: 'API docs: openapi-v3.restendpoint'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/openapi-v3
permalink: /doc/en/lb4/apidocs.openapi-v3.restendpoint.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/openapi-v3](./openapi-v3.md) &gt; [RestEndpoint](./openapi-v3.restendpoint.md)

## RestEndpoint interface

Data structure for REST related metadata

**Signature:**

```typescript
export interface RestEndpoint 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [path](./openapi-v3.restendpoint.path.md) |  | string |  |
|  [spec?](./openapi-v3.restendpoint.spec.md) |  | OperationObject | _(Optional)_ |
|  [verb](./openapi-v3.restendpoint.verb.md) |  | string |  |


